// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use '@angular/material'as mat;
@use 'partials/typography';
@use 'partials/theme';
@use 'partials/font';

@use 'partials/mixins/font-theme';
@use 'partials/mixins/color-theme';

@import 'partials/classes';
@import 'partials/third-party/google_material_icons';
@import 'partials/third-party/google_material_symbols';

// @import 'partials/third-party/solarized-theme';

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// The following mixins include base theme styles that are only needed once per application. These
// theme styles do not depend on the color, typography, or density settings in your theme. However,
// these styles may differ depending on the theme's design system. Currently all themes use the
// Material 2 design system, but in the future it may be possible to create theme based on other
// design systems, such as Material 3.
//
// Please note: you do not need to include the 'base' mixins, if you include the corresponding
// 'theme' mixin elsewhere in your Sass. The full 'theme' mixins already include the base styles.
//
// To learn more about "base" theme styles visit our theming guide:
// https://material.angular.io/guide/theming#theming-dimensions
@include mat.all-component-bases(theme.$emp-light-theme);


.light-theme {
  @include mat.all-component-colors(theme.$emp-light-theme);
  @include mat.all-component-typographies(theme.$emp-light-theme);
  @include mat.all-component-densities(theme.$emp-light-theme);

  // own mixins
  @include color-theme.set-colors(theme.$emp-light-theme);
  @include font-theme.set-fonts(theme.$emp-light-theme);
}


.dark-theme {
  // avoid duplicate density styles by call sub theming functions directly
  @include mat.all-component-colors(theme.$emp-dark-theme);
  @include mat.all-component-typographies(theme.$emp-dark-theme);
  @include mat.all-component-densities(theme.$emp-dark-theme);

  // own mixins
  @include color-theme.set-colors(theme.$emp-dark-theme);
  @include font-theme.set-fonts(theme.$emp-dark-theme);
}

// .dark-solarized-theme{
//   @include solorized-material-theme($default-solorized-dark-theme);
// }

body {
  margin: 0;
}
